PipeWire: spa_meta_bitmap Struct Reference

PipeWire 1.2.6

Loading...
Searching...
No Matches
Data Fields
spa_meta_bitmap Struct Reference
SPA » Buffers

Bitmap information. More...

`#include <spa/buffer/meta.h>`

## Data Fields
uint32_t | format
| bitmap video format, one of enum spa_video_format.
struct spa_rectangle | size
| width and height of bitmap
int32_t | stride
| stride of bitmap data
uint32_t | offset
| offset of bitmap data in this structure.

## Detailed Description

Bitmap information.

This metadata contains a bitmap image in the given format and size. It is typically used for cursor images or other small images that are better transferred inline.

Examples
  video-dsp-src.c, video-play-pull.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## Field Documentation

## ◆ format

uint32_t spa_meta_bitmap::format

bitmap video format, one of enum spa_video_format.

0 is and invalid format and should be handled as if there is no new bitmap information.

Examples
  video-dsp-src.c, video-play-pull.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## ◆ size

struct spa_rectangle spa_meta_bitmap::size

width and height of bitmap

Examples
  video-dsp-src.c, video-play-pull.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## ◆ stride

int32_t spa_meta_bitmap::stride

stride of bitmap data

Examples
  video-dsp-src.c, video-play-pull.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## ◆ offset

uint32_t spa_meta_bitmap::offset

offset of bitmap data in this structure.

An offset of 0 means no image data (invisible), an offset >= sizeof(struct spa_meta_bitmap) contains valid bitmap info.

Examples
  video-dsp-src.c, video-play-pull.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

The documentation for this struct was generated from the following file:

- spa/buffer/meta.h